ServiceOperations Class

ServiceOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
ServiceOperations

Constructor

ServiceOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

list_available_skus_by_resource_group

This method provides the list of available skus for the given subscription, resource group and location.

region_configuration

This API provides configuration details specific to given region/location at Subscription level.

region_configuration_by_resource_group

This API provides configuration details specific to given region/location at Resource group level.

validate_address

[DEPRECATED NOTICE: This operation will soon be removed]. This method validates the customer shipping address and provide alternate addresses if any.

validate_inputs

This method does all necessary pre-job creation validation under subscription.

validate_inputs_by_resource_group

This method does all necessary pre-job creation validation under resource group.

list_available_skus_by_resource_group

This method provides the list of available skus for the given subscription, resource group and location.

list_available_skus_by_resource_group(resource_group_name: str, location: str, available_sku_request: azure.mgmt.databox.v2020_04_01.models._models_py3.AvailableSkuRequest, **kwargs) -> AsyncIterable[azure.mgmt.databox.v2020_04_01.models._models_py3.AvailableSkusResult]

Parameters

resource_group_name
str
Required

The Resource Group Name.

location
str
Required

The location of the resource.

available_sku_request
<xref:azure.mgmt.databox.models.AvailableSkuRequest>
Required

Filters for showing the available skus.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either AvailableSkusResult or the result of cls(response)

Return type

AsyncItemPaged[<xref:azure.mgmt.databox.models.AvailableSkusResult>]

Exceptions

region_configuration

This API provides configuration details specific to given region/location at Subscription level.

async region_configuration(location: str, region_configuration_request: azure.mgmt.databox.v2020_04_01.models._models_py3.RegionConfigurationRequest, **kwargs) -> azure.mgmt.databox.v2020_04_01.models._models_py3.RegionConfigurationResponse

Parameters

location
str
Required

The location of the resource.

region_configuration_request
<xref:azure.mgmt.databox.models.RegionConfigurationRequest>
Required

Request body to get the configuration for the region.

cls
callable

A custom type or function that will be passed the direct response

Returns

RegionConfigurationResponse, or the result of cls(response)

Return type

<xref:azure.mgmt.databox.models.RegionConfigurationResponse>

Exceptions

region_configuration_by_resource_group

This API provides configuration details specific to given region/location at Resource group level.

async region_configuration_by_resource_group(resource_group_name: str, location: str, region_configuration_request: azure.mgmt.databox.v2020_04_01.models._models_py3.RegionConfigurationRequest, **kwargs) -> azure.mgmt.databox.v2020_04_01.models._models_py3.RegionConfigurationResponse

Parameters

resource_group_name
str
Required

The Resource Group Name.

location
str
Required

The location of the resource.

region_configuration_request
<xref:azure.mgmt.databox.models.RegionConfigurationRequest>
Required

Request body to get the configuration for the region at resource group level.

cls
callable

A custom type or function that will be passed the direct response

Returns

RegionConfigurationResponse, or the result of cls(response)

Return type

<xref:azure.mgmt.databox.models.RegionConfigurationResponse>

Exceptions

validate_address

[DEPRECATED NOTICE: This operation will soon be removed]. This method validates the customer shipping address and provide alternate addresses if any.

async validate_address(location: str, validate_address: azure.mgmt.databox.v2020_04_01.models._models_py3.ValidateAddress, **kwargs) -> azure.mgmt.databox.v2020_04_01.models._models_py3.AddressValidationOutput

Parameters

location
str
Required

The location of the resource.

validate_address
<xref:azure.mgmt.databox.models.ValidateAddress>
Required

Shipping address of the customer.

cls
callable

A custom type or function that will be passed the direct response

Returns

AddressValidationOutput, or the result of cls(response)

Return type

<xref:azure.mgmt.databox.models.AddressValidationOutput>

Exceptions

validate_inputs

This method does all necessary pre-job creation validation under subscription.

async validate_inputs(location: str, validation_request: azure.mgmt.databox.v2020_04_01.models._models_py3.ValidationRequest, **kwargs) -> azure.mgmt.databox.v2020_04_01.models._models_py3.ValidationResponse

Parameters

location
str
Required

The location of the resource.

validation_request
<xref:azure.mgmt.databox.models.ValidationRequest>
Required

Inputs of the customer.

cls
callable

A custom type or function that will be passed the direct response

Returns

ValidationResponse, or the result of cls(response)

Return type

<xref:azure.mgmt.databox.models.ValidationResponse>

Exceptions

validate_inputs_by_resource_group

This method does all necessary pre-job creation validation under resource group.

async validate_inputs_by_resource_group(resource_group_name: str, location: str, validation_request: azure.mgmt.databox.v2020_04_01.models._models_py3.ValidationRequest, **kwargs) -> azure.mgmt.databox.v2020_04_01.models._models_py3.ValidationResponse

Parameters

resource_group_name
str
Required

The Resource Group Name.

location
str
Required

The location of the resource.

validation_request
<xref:azure.mgmt.databox.models.ValidationRequest>
Required

Inputs of the customer.

cls
callable

A custom type or function that will be passed the direct response

Returns

ValidationResponse, or the result of cls(response)

Return type

<xref:azure.mgmt.databox.models.ValidationResponse>

Exceptions

Attributes

models

models = <module 'azure.mgmt.databox.v2020_04_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\databox\\v2020_04_01\\models\\__init__.py'>